cURL
curl --request PUT \
--url https://api.comm.com/api/v1/email/templates/{template} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"meta": {
"instruction": "<string>",
"max_times_used": 123,
"texts_in_rotation": 123
},
"is_active": true
}
'import requests
url = "https://api.comm.com/api/v1/email/templates/{template}"
payload = {
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"meta": {
"instruction": "<string>",
"max_times_used": 123,
"texts_in_rotation": 123
},
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
subject: '<string>',
body: JSON.stringify('<string>'),
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
created_at: '<string>',
updated_at: '<string>',
meta: {instruction: '<string>', max_times_used: 123, texts_in_rotation: 123},
is_active: true
})
};
fetch('https://api.comm.com/api/v1/email/templates/{template}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"team_id": "<string>",
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"type": "<string>",
"meta": [
"<unknown>"
],
"is_active": true,
"deleted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}EmailCampaignTemplates
Put v1emailtemplates
PUT
/
v1
/
email
/
templates
/
{template}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The template ID
Body
application/json
EmailCampaignTemplateDataRequest
Response
⌘I